Bug 1951043 - Start Pipeline Modal Parameters should accept empty string defaults
Summary: Start Pipeline Modal Parameters should accept empty string defaults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Andrew Ballantyne
QA Contact: Gajanan More
Srivaralakshmi Ramani
URL:
Whiteboard:
Depends On:
Blocks: 1966275
TreeView+ depends on / blocked
 
Reported: 2021-04-19 13:24 UTC by Andrew Ballantyne
Modified: 2021-09-15 17:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, if you created a pipeline with parameters that had empty strings, for example, `”`, the fields in the {product-title} web console would not accept the empty strings. The current release fixes this issue. Now, `”` is supported as a valid default property within the parameters section. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1951043[*BZ#1951043*])
Clone Of:
: 1966275 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:01:49 UTC
Target Upstream Version:
srr: needinfo-
srr: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9074 0 None open Bug 1951043: Fix Pipeline Parameters in Modals accept empty string defaults 2021-05-27 18:54:01 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:02:07 UTC

Description Andrew Ballantyne 2021-04-19 13:24:58 UTC
Description of problem:

The Start Pipeline Modal does not respect an empty string ('') as a valid default although it is upstream. The UI should not make it a required field in the modal.

Version-Release number of selected component (if applicable):


How reproducible:
Always (create via YAML or CLI)


Steps to Reproduce:
1. Create a Pipeline with an empty string default value (see additional info for suggestions how to do it in the UI)
2. Using the actions (or "more options" menu on the list page) select "Start Pipeline"
3. Try to submit with a empty string default param without touching the field

Actual results:
We show * next to the parameters that don't have defaults. An empty string ('') is a falsy value and thus got confused as a no default provided. This is not valid upstream and needs to change.

Expected results:
Should be able to submit without updating any params that have defaults of an empty string ('').


Additional info:
The Pipeline Builder currently doesn't support this and our UI does not allow for empty strings. Will need UX to fix that portion, but the work around would be to use the Pipeline Builder entirely and then flip over to the YAML to set the default of a param to '' and then create via YAML.

Comment 1 Andrew Ballantyne 2021-04-19 13:38:26 UTC
Original discussion occurred on Google Chat, but I'm not sure I can link to the specific thread :(

Comment 2 Andrew Ballantyne 2021-04-19 13:40:51 UTC
This might be the best link I can get: https://chat.google.com/room/AAAApNTFPIc/aeqy5NztVhw

Comment 4 Karthik Jeeyar 2021-06-03 12:34:10 UTC
Verified on 4.8.0-0.nightly-2021-06-02-025513

Comment 9 errata-xmlrpc 2021-07-27 23:01:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.